## GstTracerRecord GstTracerRecord |

## Functions

GstTracerRecord * | gst_tracer_record_new ()
void | gst_tracer_record_log ()

## Types and Values

| GstTracerRecord
enum | GstTracerValueFlags
enum | GstTracerValueScope

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstTracerRecord

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_tracer_record_new ()

    GstTracerRecord *
    gst_tracer_record_new (const gchar *name,
                           const gchar *firstfield,
                           ...);

### gst_tracer_record_log ()

    void
    gst_tracer_record_log (GstTracerRecord *self,
                           ...);

## Types and Values

### GstTracerRecord

    typedef struct _GstTracerRecord GstTracerRecord;

### enum GstTracerValueFlags

#### Members

GST_TRACER_VALUE_FLAGS_NONE |  |
GST_TRACER_VALUE_FLAGS_OPTIONAL |  |
GST_TRACER_VALUE_FLAGS_AGGREGATED |  |

### enum GstTracerValueScope

#### Members

GST_TRACER_VALUE_SCOPE_PROCESS |  |
GST_TRACER_VALUE_SCOPE_THREAD |  |
GST_TRACER_VALUE_SCOPE_ELEMENT |  |
GST_TRACER_VALUE_SCOPE_PAD |  |